#!/bin/sh

inf="$1"
outf="$2"

echo "converting $inf to $outf"

# pdftk $inf dump_data_utf8 > bmk.txt
echo "extracting table of contents"
pdfTOC -i "$inf" > bmk.txt

echo "rewriting $inf"
                                                                                
gs -dBATCH -dNOPAUSE -sDEVICE=pdfwrite  -sOutputFile=all.pdf \
 -dCompressPages=false \
 -dUseFlateCompression=false \
 -dOptimize=false "$inf"

echo "removing watermark"
IMGDOC-reptext all.pdf nowat.pdf 80 '[(UNOFFICIAL )' '(COPY)]TJ' || exit 1
echo "encoding to IMD format"

gs -q -dNOPAUSE -dBATCH -sDEVICE=pnggray -r300 -sOutputFile=- nowat.pdf | IMGDOC-tencode -b bmk.txt -o "$outf" - 

